For the complete documentation index, see llms.txt. This page is also available as Markdown.

Store Vendor

Vendor detail

get

Get a detail of vendor

Path parameters
vendorPrefixIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got Vendor details.
get/vendor-store/vendor-details/{vendorPrefixId}
GET /vendor-store/vendor-details/{vendorPrefixId} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got Vendor details."
}

Vendor product list

get

Get list of vendor product

Path parameters
idintegerRequired
Query parameters
limitintegerOptional
offsetintegerOptional
countstringOptional
categorySlugstringRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got Vendor Product list.
get/vendor-store/vendor-product-list/{id}
GET /vendor-store/vendor-product-list/{id}?categorySlug=text HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got Vendor Product list."
}

Vendor details based on category

get

Vendor details based on category

Query parameters
limitintegerOptional
offsetintegerOptional
countstringOptional
categorySlugstringRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got count " or " Successfully got vendor list based on category
get/vendor-store/category-based-vendor-list
GET /vendor-store/category-based-vendor-list?categorySlug=text HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got count \" or \" Successfully got vendor list based on category"
}

Contact seller

post

Contact seller

Body
vendorIdinteger · int32Required
namestringRequired
emailstringRequired
mobileNumberstringOptional
countrystringRequired
requirementstringOptional
Responses
200

success response

application/json
idinteger · int32Optional
vendorIdinteger · int32Optional
namestringOptional
emailstringOptional
mobileNumberinteger · int32Optional
countrystringOptional
requirementstringOptional
createdDatestring · date-timeOptional
modifiedDatestring · date-timeOptional
createdByinteger · int32Optional
modifiedByinteger · int32Optional
post/vendor-store/contact-seller
POST /vendor-store/contact-seller HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 103

"vendorId=1&name='text'&email='text'&mobileNumber='text'&country='text'&requirement='text'"
{
  "id": 1,
  "vendorId": 1,
  "name": "text",
  "email": "text",
  "mobileNumber": 1,
  "country": "text",
  "requirement": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "createdBy": 1,
  "modifiedBy": 1
}

Last updated